/*{ stm32_Registers.c ************************************************
 
 Structured pointers to registers of ARM CortexM3 microcontrollers.

 written by Gregor Rebel 2011-2011

}*/

#include "stm32_registers.h"

//{ Global pointers to hardware registers

RCC_APB1ENR_t* regRCC_APB1ENR = (RCC_APB1ENR_t*) 0x1C;
RCC_APB2ENR_t* regRCC_APB2ENR = (RCC_APB2ENR_t*) 0x18;
TIMER_t*       regTIMER1      = (TIMER_t*)       TIM1;
TIMER_t*       regTIMER2      = (TIMER_t*)       TIM2;
TIMER_t*       regTIMER3      = (TIMER_t*)       TIM3;
TIMER_t*       regTIMER4      = (TIMER_t*)       TIM4;
USART_t*       regUSART1      = (USART_t*)       USART1;
USART_t*       regUSART2      = (USART_t*)       USART2;
USART_t*       regUSART3      = (USART_t*)       USART3;
USART_t*       regUART4       = (USART_t*)       UART4;
USART_t*       regUART5       = (USART_t*)       UART5;
SPI_t*         regSPI1        = (SPI_t*)         SPI1;
SPI_t*         regSPI2        = (SPI_t*)         SPI2;
SPI_t*         regSPI3        = (SPI_t*)         SPI3;
I2C_t*         regI2C1        = (I2C_t*)         I2C1;
I2C_t*         regI2C2        = (I2C_t*)         I2C2;

//}

