#ifndef EXAMPLE_USART_H
#define EXAMPLE_USART_H

/*{ example_usart.h ******************************************************
 
                       The ToolChain
                       
 Example code demonstrating how to use 
 Universal Synchronous Asynchronous Receiver Transmitter (USART)
 
 written by Gregor Rebel 2012
 
}*/
//{ Defines/ TypeDefs ****************************************************


//} Defines
//{ Includes *************************************************************

 // Basic set of helper functions
#include "ttc_basic.h"
#include "ttc_gpio.h"
#include "ttc_usart.h"

/* ???
#define USE_STDPERIPH_DRIVER
#include "stm32f10x.h"
#include "core_cm3.h"        // StdPeripheralsLibrary/CMSIS/CM3/CoreSupport/
#include "stm32f10x_conf.h"
*/

#include "ttc_usart.h"

#include "bits.h"
#include <string.h>
#include "FreeRTOS.h"
#include "task.h"

//} Includes
//{ Structures/ Enums ****************************************************

//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

/* Call before example_usart_start() to initialize hardware.
 */
void example_usart_init();

/* initializes + starts USART example
 */
void example_usart_start();

/* runs echo server on initialized USART
 */
void task_USART(void *pvParameters);

//} Function prototypes

#endif //EXAMPLE_USART_H
